Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 224413 (pear-Console-Color)

Summary: Review Request: php-pear-Console-Color - Easily use ANSI console colors from PHP applications
Product: [Fedora] Fedora Reporter: Tim Jackson <rpm>
Component: Package ReviewAssignee: Christopher Stone <chris.stone>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora
Target Milestone: ---Flags: kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-01-26 21:03:23 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 163779    

Description Tim Jackson 2007-01-25 16:29:50 UTC
Spec URL: http://www.timj.co.uk/linux/specs/php-pear-Console-Color.spec
SRPM URL: http://www.timj.co.uk/linux/srpms/php-pear-Console-Color-1.0.1-1.src.rpm
Description: 
The Console_Color class makes it easy to use ANSI color codes when writing CLI-based applications in PHP.

Comment 1 Christopher Stone 2007-01-25 17:08:55 UTC
==== REVIEW CHECKLIST ====
- rpmlint output clean
- package named according to package naming guidelines
- spec file name matches %{name}
- package meets packaging guidelines
- licensed with open source compatible license
- license field matches actual license
- source package does not include license text
- spec written in American english
- spec file is legible
- sources match upstream
0ed565fb5b3f3ed2d604053d9e1adce6  Console_Color-1.0.1.tgz
- package successfully compiles and builds on FC-6 x86_64
- all build dependencies listed in BR
- no locales
- no shared libraries
- package is not relocatable
X package does not own all directories it creates
- directories it does not create are pulled in from other packages
- no duplicates in %files
- file permissions set properly
- contains proper %clean section
- macro usage consistent
- contains code
- no large documentation
- %doc does not affect runtime
- no header files or static libraries
- no pkgconfig files
- no library files with suffixes
- no need for devel subpackage
- no libtool archives
- not a GUI app
- package does not own files or directories owned by other non-pear packages


==== MUST FIX ====
- This package must own the Console directory

==== SHOULD FIX ====
- Consider adding a PHP License text file to %doc


Comment 2 Christopher Stone 2007-01-25 17:10:44 UTC
oops, I just realized the Console directory is owned by php-pear, so this
package is correct and should *not* own this directory.  Ignore the MUST FIX
item above.

APPROVED


Comment 3 Tim Jackson 2007-01-25 18:06:09 UTC
Yes, I specifically avoided owning the Console directory for the reason you cite.
Upstream doesn't have a License file but
http://pear.php.net/bugs/bug.php?id=9948 is an upstream bug about this.

Thanks for your time in doing this review. It will be imported ASAP.

Comment 4 Tim Jackson 2007-01-26 21:03:23 UTC
Built in devel (job #26375) and FC-6 (#26443).

Comment 5 Tim Jackson 2010-10-28 21:16:33 UTC
Package Change Request
======================
Package Name: php-pear-Console-Color
New Branches: el6
Owners: remi

Comment 6 Kevin Fenzi 2010-10-30 23:10:13 UTC
Git done (by process-git-requests).